Loading...
Searching...
No Matches
Opm::VelocityCallback< TypeTag > Class Template Reference

Callback class for the velocity of a phase at the center of a DOF. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultFieldType = typename ResultType::field_type
using | ResultFieldValueType = typename MathToolbox<ResultFieldType>::ValueType

## Public Member Functions

| VelocityCallback (const ElementContext &elemCtx)
ResultType | operator() (unsigned dofIdx) const
| Return the velocity of a phase given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::VelocityCallback< TypeTag >

Callback class for the velocity of a phase at the center of a DOF.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh